Bug 125111 - [60cat] GUI frozen
[60cat] GUI frozen
Status: VERIFIED FIXED
Product: java
Classification: Unclassified
Component: Hints
6.x
PC Windows XP
: P1 (vote)
: 6.x
Assigned To: Jan Lahoda
issues@java
release601_fixes_candidate1, release6...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-11 13:17 UTC by tboerkel
Modified: 2008-02-20 18:01 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
ThreadDump (23.82 KB, text/plain)
2008-01-11 13:18 UTC, tboerkel
Details
messages.log (190.44 KB, text/plain)
2008-01-11 13:19 UTC, tboerkel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description tboerkel 2008-01-11 13:17:18 UTC
[ BUILD # : 200711261600 ]
[ JDK VERSION : 1.6.0_03 ]

After working with other applications and returning to NB, the GUI
was frozen (only the title bar was being drawn).

Attaching messages.log and ThreadDump.
Comment 1 tboerkel 2008-01-11 13:18:24 UTC
Created attachment 54945 [details]
ThreadDump
Comment 2 tboerkel 2008-01-11 13:19:01 UTC
Created attachment 54947 [details]
messages.log
Comment 3 Antonin Nebuzelsky 2008-01-16 14:21:01 UTC
Seems like java support locked a document. Reassigning.
Comment 4 Jan Lahoda 2008-01-18 10:15:50 UTC
The Javadoc Analyzer is acquiring write lock inside the loop, which is not correct (and not necessary to create Document
Positions anyway):

Checking in src/org/netbeans/modules/javadoc/hints/Analyzer.java;
/cvs/javadoc/src/org/netbeans/modules/javadoc/hints/Analyzer.java,v  <--  Analyzer.java
new revision: 1.5; previous revision: 1.4
done

Comment 5 Jiri Prox 2008-01-31 12:21:41 UTC
verified

Product Version: NetBeans IDE Dev (Build 20080131063200)
Java: 1.6.0_05-ea; Java HotSpot(TM) Client VM 1.6.0_05-ea-b06
Comment 6 khu 2008-02-05 18:49:02 UTC
The fix has been ported into the release601_fixes branch.

Checking in Analyzer.java;
/cvs/javadoc/src/org/netbeans/modules/javadoc/hints/Attic/Analyzer.java,v  <--  Analyzer.java
new revision: 1.4.8.1; previous revision: 1.4
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo